VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   4635
   ClientLeft      =   7125
   ClientTop       =   4035
   ClientWidth     =   5370
   LinkTopic       =   "Form1"
   ScaleHeight     =   4635
   ScaleWidth      =   5370
   Begin RichTextLib.RichTextBox RTB 
      Height          =   3612
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   5172
      _ExtentX        =   9128
      _ExtentY        =   6376
      _Version        =   393217
      TextRTF         =   $"frmMain.frx":0000
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Find and Replace"
      Height          =   375
      Left            =   2640
      TabIndex        =   1
      Top             =   4080
      Width           =   1695
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Find"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   4080
      Width           =   1575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'declare with events so that we can react when
Dim WithEvents FindDialog As clsFindandReplace
Attribute FindDialog.VB_VarHelpID = -1



Private Sub Command1_Click()
    With FindDialog
      'set some options if you want
        'don't show Match Case Checkbox
        '.MatchCase = dlgHIDEMATCHCASE
        'don't show up/down options
        '.UpDown = dlgHIDEUPDOWN
        'disable whole word check box
        '.WholeWord =dlgNOWHOLEWORD
        'show the Find dialog box
        .ShowFind RTB.hwnd
    End With
End Sub

Private Sub Command2_Click()
    'show the Find and Replace dialog box
    FindDialog.ShowReplace RTB.hwnd
End Sub


Private Sub FindDialog_BeforeReplace(ByVal strFindWhat As String, ByVal strReplaceWith As String, ByVal lStart As Long, Cancel As Boolean)
    'received before a replace is made
    'strFindWhat is the string that is going to be replaced
    'strReplaceWith is the string that will be inserted
    'lStart is the position of the replacement
    'Set Cancel to true to prevent the replacement
    'Example of use:
'        If UCase(strFindWhat) = "THE" Then
'            Cancel = True ' don't allow user to replace the word 'the'
'        ElseIf UCase(strReplaceWith) = "*!?**!!?" Then
'            Cancel = True 'don't allow user to insert bad words
'        End If
End Sub

Private Sub FindDialog_BeforeReplaceAll(ByVal strFindWhat As String, ByVal strReplaceWith As String, Cancel As Boolean)
    'received before a replace-All is made
    'strFindWhat is the string that is going to be replaced
    'strReplaceWith is the string that will be inserted
    'Set Cancel to true to prevent the replacement(s)
End Sub


Private Sub FindDialog_FoundNext(ByVal didFind As Boolean, ByVal strFindWhat As String, ByVal lStart As Long, Cancel As Boolean)
    'received after each search
    'didFind is true if the string was found
    'strFindWhat is the string that is searched for
    'lStart is the position of the found string
    'Set Cancel to true to prevent the dialog from popping up a msgbox
    '  to alert the user that the string was not found
    'Example of use:
'        If didFind Then
'            Debug.Print "Found """; strFindWhat; """ at position "; lStart
'        Else
'            Debug.Print "String """; strFindWhat; """ was not found."
'            Cancel = True
'        End If
End Sub

Private Sub FindDialog_Terminated()
    'User has closed the dialog
End Sub

Private Sub Form_Load()
    Set FindDialog = New clsFindandReplace
    'test text
    RTB.Text = "This is a test The best test the perfect test for testing everything under the sun and the moon and the earth"
End Sub

